Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235538 - i686 fc6 xen kernel crashes on boot during agpgart init
Summary: i686 fc6 xen kernel crashes on boot during agpgart init
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-xen
Version: 6
Hardware: i686
OS: Linux
medium
high
Target Milestone: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-06 21:02 UTC by George Shearer
Modified: 2009-12-14 20:37 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-02-27 00:04:00 UTC


Attachments (Terms of Use)
Full bootlog of xen kernel boot up and crash. (deleted)
2007-04-06 21:02 UTC, George Shearer
no flags Details

Description George Shearer 2007-04-06 21:02:23 UTC
Description of problem:

fc6 i686 kernel crashes on boot during agpgart init. Regular non-xen kernel
works fine.

Version-Release number of selected component (if applicable):

kernel-2.6.19 and newer official FC6 released kernels. I have not tried any
older kernels.

How reproducible:

Happens every single time reliably.

Steps to Reproduce:
1. Tell Grub to boot on Xen kernel.
2. Watch dmesg.. 
3.
  
Actual results:

During boot:

Linux agpgart interface v0.101 (c) Dave Jones
agpgart: Detected an Intel 965G Chipset.
BUG: unable to handle kernel NULL pointer dereference at virtual address 00000008
...

Expected results:

Not to crash..

Additional info:

Setting agp=no in kernel boot flags of dom0 fixes this problem.

Hardware configuration:

Gigabyte GA-965P-DS3 motherboard (rev 1.0, bios F10)
Intel Conroe E6400 (Core 2 Duo) CPU
4-gigs DDR2-800
ICH8 Northbridge.

Please note that non-xen kernels work very happily and very reliably on this system.

Comment 1 George Shearer 2007-04-06 21:02:23 UTC
Created attachment 151897 [details]
Full bootlog of xen kernel boot up and crash.

Comment 2 Chris Lalancette 2008-02-27 00:04:00 UTC
This report targets FC6, which is now end-of-life.

Please re-test against Fedora 7 or later, and if the issue persists, open a new bug.

Thanks



Note You need to log in before you can comment on or make changes to this bug.